import '../../about/internal/application/UserDetails.dart';

abstract class ConnectSettings {
  void onUserLoaded(UserDetails details, int amnestyRemaining);

  void onToneChanged(UserDetails details);

  void onSickModeChanged(UserDetails details);

  void onSignedOut();
}
